=== sounds/CMakeLists.txt ===

install( FILES Kopete_Event.ogg Kopete_Received.ogg Kopete_Sent.ogg Kopete_User_is_Online.ogg  DESTINATION ${SOUND_INSTALL_DIR})
