=== debian/changelog ===
kopete (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:32:21 +0200

kopete (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:50:53 +0200

kopete (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1318142)

  [ Scott Kitterman ]
  * Update debian/not-installed since both google-talk and skype are supported
  * Add skype icons back to kopete.install*

  [ Rohan Garg ]
  * kopete should suggest imagemagick since the latex plugin
    requires it

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:53:27 +0200
