## kopete 4.14.1

=== debian/changelog ===
kopete (4:4.14.1-2) unstable; urgency=medium

  * Team upload.
  * Remove (apparently unused) libgnutls-dev build dependency.
    (Closes: #764102)
  * Update copyright.
  * Change from googletalk-call to libjingle-call in the kfreebsd .install
    exclusion.
  * Update .install files.
  * Add an explicit kdelibs5-dev build dependency before kdepimlibs5-dev;
    this should help pulling phonon-backend-dummy as build dependency instead
    of a real backend, even if some library depends on phonon.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Oct 2014 17:33:19 +0200

kopete (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:40 +0200

kopete (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update install file.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 06:25:21 +0200

kopete (4:4.13.3-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Add the libxss-dev build dependency, for enabling the idle time detection.

  [ Maximiliano Curia ]
  * New upstream release.
  * Suggest imagemagick, needed by the latex plugin. (Closes: 753322)
    Thanks to Jonathan Riddell.
  * Remove upstream applied patch: libjingle_unknown_architecture.diff

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 16:02:49 +0200

kopete (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 14:11:17 +0200

kopete (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:39 +0200

kopete (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:40 +0100

kopete (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Remove patch: new_linphone.diff, fixed upstream.
  * Update build dependencies.
  * Update install files.
  * Update symbols files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:03 +0100

kopete (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.

  [ Pino Toscano ]
  * Fix validity of copyright.

  [ Maximiliano Curia ]
  * Build the unit tests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtests.
  * Add abi-compliance-checker info.
  * Remove private header from installed files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 03 Feb 2014 18:41:43 +0100
