=== styles/Hacker/Contents/Resources/images/CMakeLists.txt ===

########### install files ###############

install( FILES background.png background2.png kopete.png state-sending.gif state-sending-white.gif state-error.png  DESTINATION ${DATA_INSTALL_DIR}/kopete/styles/Hacker/Contents/Resources/images)
