=== debian/changelog ===
kopete (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:55:49 +0200

kopete (4:4.14.2-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  * New upstream release
  * Insert missing short license, and remove googletalk from the libjingle
    license paths as it no longer exists. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:54:41 -0700

kopete (4:4.14.1-0ubuntu2) utopic; urgency=medium

  * Add Keopatra depend for cryptography support.
  * Batch patch symbols.
  * Removed 3 #MISSING Kopete::Status::StatusItem::~StatusItem()
     - optional - gccinternal (gcc has been upgraded)
  * wrap-and-sort

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 09 Oct 2014 12:14:02 +0000

kopete (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:26:50 +0200

kopete (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:18:30 +0200

kopete (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:01:37 +0200

kopete (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:28:09 +0200

kopete (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * google talk has been renamed libjingle, made necessary
    changes to install file.
  * Patched symbols with batchpatch, upstream says missing symbols are private

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 15:34:54 -0700

kopete (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * Add back conflicts on kopete-cryptography
  * Add back suggests on imagemagick needed by latex plugin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Jun 2014 16:22:40 +0200

kopete (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, remaining changes:
    - debian/control:
      - Build against libboost1.55-dev
      - Build against libexpat1-dev instead of libexpat-dev
      - kopete recommends kopete-message-indicator
  * Drop libjingle_unknown_architecture.diff now fixed upstream
  * Drop build-dep on nepomuk-core-dev
  * Add missing file to kopete-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:41:56 +0100

kopete (4:4.13.1-2) UNRELEASED; urgency=medium

  [ Pino Toscano ]
  * Add the libxss-dev build dependency, for enabling the idle time detection.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 02 Jun 2014 22:33:18 +0200

kopete (4:4.13.0-0ubuntu5) utopic; urgency=medium

  [ Harald Sitter ]
  * Restore lost changelog entries from before kdenetwork split
  * Drop kubuntu_03_no_mediastreamer_in_wlm.diff
    This patch was originally introduced to prevent !main software from
    getting dragged in when kopete still lived in main and was on the Kubuntu
    ISO. Since kopete is no longer in main this is a non-issue.

  [ Jonathan Riddell ]
  * Add conflicts on obsolete kopete-cryptography

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 May 2014 16:57:19 +0100

kopete (4:4.13.0-0ubuntu3) utopic; urgency=medium

  * Build-depend on boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 21:36:06 +0100

kopete (4:4.13.0-0ubuntu2) utopic; urgency=medium

  [ Rohan Garg ]
  * kopete should suggest imagemagick since the latex plugin
    requires it

  [ Scott Kitterman ]
  * Update debian/not-installed since both google-talk and skype are supported
  * Add skype icons back to kopete.install*

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 May 2014 15:00:12 -0400

kdenetwork (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Jonathan Riddell ]
  * Add missing build-depends on kde-workspace-dev and libtelepathy-qt4-dev
  * Update not-installed

  [ Rohan Garg ]
  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:26:38 +0100

kdenetwork (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
    - debian/control:
      - Build against libboost1.53-dev
      - Build against libexpat1-dev instead of libexpat-dev
      - kopete recommends kopete-message-indicator
    - debian/rules:
      - chown kppp to root:dialout instead of root:dip
    - debian/kopete.install: don't add usr/bin/googletalk-call
    - kdenetwork recommends qapt-batch
    - Do not install Skype™ plugin
  * Move libv4l-dev into build-conflicts, it causes a compile failure
    in saucy
  * Build with -DDISABLE_VIDEOSUPPORT=true due to compile failure with
    saucy v4l

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:34 +0000

kdenetwork (4:4.10.2+dfsg-0ubuntu1) raring; urgency=low

  * Do not install Skype™ plugin. (LP: #1163504)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 24 Apr 2013 16:02:14 +0100

kdenetwork (4:4.10.2-1) experimental; urgency=low

  * New upstream.
  * Update symbols file.
  * Update install files.
  * Bump build-deps
  * Temporarily remove kde-workspace build-dep to get the package built on
    autobuilders.

 -- Sune Vuorela <sune@debian.org>  Fri, 12 Apr 2013 21:32:12 +0000

kdenetwork (4:4.10.2-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Update kget.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:44:29 +0200

kdenetwork (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Add debian/patches/kubuntu_krfb_link_to_pthread.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 05 Mar 2013 15:33:10 +0000

kdenetwork (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release


