=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kopete
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -10,19 +11,21 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               kdepimlibs5-dev (>= 4:4.13.3-2),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdepim-dev,
+               kdepimlibs5-dev (>= 4:4.14.2),
                libasound2-dev (>= 1.0.14a) [linux-any],
-               libboost-dev,
-               libexpat-dev,
+               libboost1.54-dev,
+               libexpat1-dev,
                libgadu-dev (>= 1.8.0),
                libgif-dev,
+               libgnutls-dev,
                libgpgme11-dev,
                libidn11-dev,
                libjasper-dev,
                libjpeg-dev,
                libjsoncpp-dev,
+               libkleo4,
                libmeanwhile-dev,
                libmediastreamer-dev (>= 3.6),
                libmsn-dev (>= 4.1),
@@ -44,8 +47,10 @@
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kopete.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kopete.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kopete.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kopete.git
 
 Package: libkopete4
 Section: libs
@@ -66,8 +71,9 @@
 Section: net
 Architecture: any
 Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
-Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
-Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base, imagemagick
+Recommends: kopete-message-indicator, libqca2-plugin-ossl, libqt4-sql-sqlite
+Suggests: imagemagick, kdeartwork-emoticons, khelpcenter4, texlive-latex-base
+Conflicts: kopete-cryptography
 Description: instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide
  variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
