## kopete 14.12.3

=== debian/changelog ===
kopete (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:40:56 -0700

kopete (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:10:19 -0800

kopete (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.
  * Remove kdepimlibs5-dev depend version as there was not a new release. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:58:28 +0100

kopete (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Merge with Debian, remaining changes:
    - build-dep on libgnutls-dev
    - build-dep on libboost1.55-dev
    - build-dep on libkleo4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Nov 2014 19:23:42 +0100

kopete (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Insert missing short license, and remove googletalk from the libjingle
    license paths as it no longer exists. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:54:41 -0700
