=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kopete
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -11,12 +10,13 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev,
                kdepim-dev,
-               kdepimlibs5-dev (>= 4:4.14.2),
+               kdepimlibs5-dev,
                libasound2-dev (>= 1.0.14a) [linux-any],
-               libboost1.54-dev,
-               libexpat1-dev,
+               libboost1.55-dev,
+               libexpat-dev,
                libgadu-dev (>= 1.8.0),
                libgif-dev,
                libgnutls-dev,
@@ -47,10 +47,8 @@
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kopete.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kopete.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kopete.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kopete.git
 
 Package: libkopete4
 Section: libs
@@ -71,9 +69,8 @@
 Section: net
 Architecture: any
 Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
-Recommends: kopete-message-indicator, libqca2-plugin-ossl, libqt4-sql-sqlite
-Suggests: imagemagick, kdeartwork-emoticons, khelpcenter4, texlive-latex-base
-Conflicts: kopete-cryptography
+Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
+Suggests: kdeartwork-emoticons, khelpcenter, texlive-latex-base, imagemagick
 Description: instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide
  variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
